<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Controller
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Template helper example controller.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Controller
 * @author      Murat Purc <murat@purc.de>
 */
class TemplatehelperexampleController extends ConMp_Controller_Backend_Abstract
{
    /**
     * Displays the template.
     *
     * @return  void
     */
    public function indexAction()
    {
        $tpl = ConMp_Template_Extended::getInstance($this->_templateFile, 'LAYOUT_MAIN');
        $tpl->generate();
    }
}
