<?php
/**
 * Project:
 * Contenido Content Management System
 *
 * Description:
 * Config file for the plugin mpContenidoX.
 *
 * Requirements:
 * @con_php_req 5.0
 *
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Configuration
 * @version     $Revision$
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2008-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @link        http://www.purc.de
 *
 * {@internal
 *   created 2009-11-12
 *   $Id$
 * }}
 */

defined('CON_FRAMEWORK') or die('Illegal call');


global $cfg;


// Example plugin configuration
$cfg['mpContenidoX']['version'] = '0.1alpha';

// Path to this plugin
$cfg['path']['mpContenidoX'] =  str_replace("\\", "/", realpath(dirname(__FILE__) . '/..')) . '/';

// Path to the application path
$cfg['path']['mpContenidoXApp'] = $cfg['path']['mpContenidoX'] . 'application/';

// path to extended contenido mvc application (e. g. /var/www/contenido/_dev/, C:/htdocs/contenido/_dev/)
define('CONMP_APPLICATION_PATH', $cfg['path']['mpContenidoXApp']);
